package com.gingersoft.gsa.delivery_pick_mode.data.model.bean;

/**
 * @author 宇航.
 * User: admin
 * Date: 2021/3/16
 * Time: 11:40
 * Use:
 */
public class OrderListBean {


    /**
     * id : 11140410
     * orderNo : 26210471152446517
     * createTime : 2021-03-11 16:33:09.0
     * addressDetail :
     * payAmount : 153.6
     * status : 2
     * phone : 15073379600
     * receiver :
     * orderPayType : 1
     * orderType : 7
     * takeTime : 立即 18:33-18:33
     * takeFoodCode : IKD4
     * sendTime :
     * waimaiSendTime : 2021-03-11 18:33:00.0
     * memberName : zhangsa
     * isRead : 1
     * printStatus : 0
     * timeSecond : 406956678
     */
    private int id;
    private String createTime;
    //訂單編號
    private String orderNo;
    //詳細地址
    private String addressDetail;
    //支付金額
    private double payAmount;
    //支付名稱
    private String payName;
    //訂單狀態 #0:未支付;1:待確認(已支付, 待餐廳確認);2:製作中（餐廳確認）;3:派送中;4:確認收貨（完成）;5:是否評論;6:取消;
    private int status;
    //收貨電話
    private String phone;
    //收貨聯繫人
    private String receiver;
    //訂單支付類型：0 店內支付，1 貨到付款，2 在線支付
    private int orderPayType;
    //訂單類型#1:餐廳訂單;2:線上外賣訂單3:扫码点餐;4固定二维码订单;5:预点餐;6:積分訂單;7:自取订单；8：冷鏈
    private int orderType;
    //是否第三方物流派送 0 ：否 1：是 2 創建了飯糰訂單未下物流單
    private int isDelete;
    //自取取貨時間
    private String takeTime;
    //取餐碼
    private String takeFoodCode;
    //餐廳送達描述
    private String sendTime;
    //外賣送達時間
    private String waimaiSendTime;
    //用戶名
    private String memberName;
    //是否已讀 0未讀，1已讀
    private int isRead;
    //打印上菜紙狀態：0 未打印，1 打印成功，2 打印失敗
    private int printStatus;
    // （物流公司類型為冷鏈時使用）是否已打印pdf 1 是 0 否
    private String isPrintPdf;
    // 運輸類型 1摩托車 2麵包車 3卡車
    private int transportationType;
    //超時時間
    private int timeSecond;
    //貨拉拉追加服務費
    private int paymentValue;
    //物流單號
    private String trkNo;
    //快遞員名稱
    private String deliveryManName;
    //快遞員電話
    private String deliveryManPhoneNum;
    //當前訂單狀態（第三方狀態）
    private String curStat;
    //配送類型 SHORT_RANGE (短途送）STANDARD (中途送）LONG_DISTANCE(長途送）
    private String deliveryMode;
    //當前訂單第三方物流狀態（第三方狀態轉換為數值）
    //Order Created：1
    //Pickup Request Sent：1
    //Order Assigned To Delivery Man：2
    //Delivery Man Reached Pickup Point Nearby：3
    //Delivery Man Reached Pickup Point：4
    //Delivery In Progress：5
    //Delivery Man Reached Destination Nearby：6
    //Order Delivered：7
    //Order Cancelled Before Collection：8
    //Order Cancelled After Collection：9
    //Order Assigned To Another Delivery Man：10
    //Collected By Customer：10
    //Pickup Request Received：11
    //Collected By Courier：12
    //Dropped At Service Point：13
    //In Transit：14
    //Ready For Shipment：15
    //Arrived Transit Point：16
    //Shipping：17
    //Delivered To Locker：18
    //Delivered To Service Point：19
    private int curStatNumber;


    public int getIsDelete() {
        return isDelete;
    }

    public void setIsDelete(int isDelete) {
        this.isDelete = isDelete;
    }

    public int getId() {
        return id;
    }

    public void setId(int id) {
        this.id = id;
    }

    public String getOrderNo() {
        return orderNo;
    }

    public void setOrderNo(String orderNo) {
        this.orderNo = orderNo;
    }

    public String getCreateTime() {
        return createTime;
    }

    public void setCreateTime(String createTime) {
        this.createTime = createTime;
    }

    public String getAddressDetail() {
        return addressDetail;
    }

    public void setAddressDetail(String addressDetail) {
        this.addressDetail = addressDetail;
    }

    public double getPayAmount() {
        return payAmount;
    }

    public void setPayAmount(double payAmount) {
        this.payAmount = payAmount;
    }

    public int getStatus() {
        return status;
    }

    public void setStatus(int status) {
        this.status = status;
    }

    public String getPhone() {
        return phone;
    }

    public void setPhone(String phone) {
        this.phone = phone;
    }

    public String getReceiver() {
        return receiver;
    }

    public void setReceiver(String receiver) {
        this.receiver = receiver;
    }

    public int getOrderPayType() {
        return orderPayType;
    }

    public void setOrderPayType(int orderPayType) {
        this.orderPayType = orderPayType;
    }

    public int getOrderType() {
        return orderType;
    }

    public void setOrderType(int orderType) {
        this.orderType = orderType;
    }

    public String getTakeTime() {
        return takeTime;
    }

    public void setTakeTime(String takeTime) {
        this.takeTime = takeTime;
    }

    public String getTakeFoodCode() {
        return takeFoodCode;
    }

    public void setTakeFoodCode(String takeFoodCode) {
        this.takeFoodCode = takeFoodCode;
    }

    public String getSendTime() {
        return sendTime;
    }

    public void setSendTime(String sendTime) {
        this.sendTime = sendTime;
    }

    public String getWaimaiSendTime() {
        return waimaiSendTime;
    }

    public void setWaimaiSendTime(String waimaiSendTime) {
        this.waimaiSendTime = waimaiSendTime;
    }

    public String getMemberName() {
        return memberName;
    }

    public void setMemberName(String memberName) {
        this.memberName = memberName;
    }

    public int getIsRead() {
        return isRead;
    }

    public void setIsRead(int isRead) {
        this.isRead = isRead;
    }

    public int getPrintStatus() {
        return printStatus;
    }

    public void setPrintStatus(int printStatus) {
        this.printStatus = printStatus;
    }

    public int getTimeSecond() {
        return timeSecond;
    }

    public void setTimeSecond(int timeSecond) {
        this.timeSecond = timeSecond;
    }

    public String getPayName() {
        return payName;
    }

    public void setPayName(String payName) {
        this.payName = payName;
    }

    public String getIsPrintPdf() {
        return isPrintPdf;
    }

    public void setIsPrintPdf(String isPrintPdf) {
        this.isPrintPdf = isPrintPdf;
    }

    public int getTransportationType() {
        return transportationType;
    }

    public void setTransportationType(int transportationType) {
        this.transportationType = transportationType;
    }

    public int getPaymentValue() {
        return paymentValue;
    }

    public void setPaymentValue(int paymentValue) {
        this.paymentValue = paymentValue;
    }

    public String getTrkNo() {
        return trkNo;
    }

    public void setTrkNo(String trkNo) {
        this.trkNo = trkNo;
    }

    public String getDeliveryManName() {
        return deliveryManName;
    }

    public void setDeliveryManName(String deliveryManName) {
        this.deliveryManName = deliveryManName;
    }

    public String getDeliveryManPhoneNum() {
        return deliveryManPhoneNum;
    }

    public void setDeliveryManPhoneNum(String deliveryManPhoneNum) {
        this.deliveryManPhoneNum = deliveryManPhoneNum;
    }

    public String getCurStat() {
        return curStat;
    }

    public void setCurStat(String curStat) {
        this.curStat = curStat;
    }

    public String getDeliveryMode() {
        return deliveryMode;
    }

    public void setDeliveryMode(String deliveryMode) {
        this.deliveryMode = deliveryMode;
    }

    public int getCurStatNumber() {
        return curStatNumber;
    }

    public void setCurStatNumber(int curStatNumber) {
        this.curStatNumber = curStatNumber;
    }
}
